//////////////////////////////////////////////////////////////////////////////
//
//  Copyright 2025 Autodesk, Inc.  All rights reserved.
//
//  Use of this software is subject to the terms of the Autodesk license 
//  agreement provided at the time of installation or download, or which 
//  otherwise accompanies this software in either electronic or hard copy form.   
//
//////////////////////////////////////////////////////////////////////////////
#ifndef __STDISONOTE_H
#define __STDISONOTE_H

///<summary>This is class AmdtNoteStdISO.</summary>
class STDIMP_DLLSHARE AmdtNoteStdISO : public AmdtNoteStd
{
public:
  ACRX_DECLARE_MEMBERS(AmdtNoteStdISO);
  AmdtNoteStdISO();
  virtual ~AmdtNoteStdISO();             
  ///<summary>Gets the information about the standard name and revision.</summary>
  virtual Acm::ErrorStatus getRevision(CString& rev, Adesk::UInt16& year) const;
  ///<summary>Provides the basic interface for the AcmStandardManager and hence determines whether AcmSymbolSTD 
  ///can be used for a particular standard.</summary>
  virtual Adesk::Boolean   isCompatibleTo(const AcmStandard* pStd) const;
  virtual AmdtNoteStd::attachPoint defaultAttachPoint() const;
  ///<summary>Sets the factory default values.</summary>
  virtual Adesk::Boolean setFactoryDefaults();
  virtual void getSubEnts(const AmdtCNote* pSymb,AcmCAuxEntArray& subents) const;
};                      

#endif // __STDISONOTE_H